/*
  Warnings:

  - You are about to drop the column `referenceId` on the `connections` table. All the data in the column will be lost.
  - You are about to drop the column `connectionId` on the `credentials` table. All the data in the column will be lost.
  - You are about to drop the column `connectionId` on the `entity` table. All the data in the column will be lost.
  - A unique constraint covering the columns `[connectionId,name]` on the table `connections` will be added. If there are existing duplicate values, this will fail.
  - A unique constraint covering the columns `[k_id]` on the table `credentials` will be added. If there are existing duplicate values, this will fail.
  - A unique constraint covering the columns `[k_id,type]` on the table `entity` will be added. If there are existing duplicate values, this will fail.
  - Added the required column `connectionId` to the `connections` table without a default value. This is not possible if the table is not empty.
  - Added the required column `k_id` to the `credentials` table without a default value. This is not possible if the table is not empty.
  - Added the required column `k_id` to the `entity` table without a default value. This is not possible if the table is not empty.

*/
-- AlterEnum
-- This migration adds more than one value to an enum.
-- With PostgreSQL versions 11 and earlier, this is not possible
-- in a single migration. This can be worked around by creating
-- multiple migrations, each migration adding only one value to
-- the enum.


ALTER TYPE "PropertyType" ADD VALUE 'BOOLEAN';
ALTER TYPE "PropertyType" ADD VALUE 'NUMBER';
ALTER TYPE "PropertyType" ADD VALUE 'FLOAT';
ALTER TYPE "PropertyType" ADD VALUE 'JSON_OBJECT';
ALTER TYPE "PropertyType" ADD VALUE 'JSON_ARRAY';

-- DropForeignKey
ALTER TABLE "credentials" DROP CONSTRAINT "credentials_connectionId_fkey";

-- DropForeignKey
ALTER TABLE "entity" DROP CONSTRAINT "entity_connectionId_fkey";

-- DropIndex
DROP INDEX "connections_referenceId_name_key";

-- DropIndex
DROP INDEX "credentials_connectionId_key";

-- DropIndex
DROP INDEX "entity_connectionId_type_key";

-- AlterTable
ALTER TABLE "connections" DROP COLUMN "referenceId",
ADD COLUMN     "connectionId" TEXT NOT NULL;

-- AlterTable
ALTER TABLE "credentials" DROP COLUMN "connectionId",
ADD COLUMN     "k_id" TEXT NOT NULL;

-- AlterTable
ALTER TABLE "entity" DROP COLUMN "connectionId",
ADD COLUMN     "k_id" TEXT NOT NULL;

-- CreateIndex
CREATE UNIQUE INDEX "connections_connectionId_name_key" ON "connections"("connectionId", "name");

-- CreateIndex
CREATE UNIQUE INDEX "credentials_k_id_key" ON "credentials"("k_id");

-- CreateIndex
CREATE UNIQUE INDEX "entity_k_id_type_key" ON "entity"("k_id", "type");

-- AddForeignKey
ALTER TABLE "credentials" ADD CONSTRAINT "credentials_k_id_fkey" FOREIGN KEY ("k_id") REFERENCES "connections"("id") ON DELETE CASCADE ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "entity" ADD CONSTRAINT "entity_k_id_fkey" FOREIGN KEY ("k_id") REFERENCES "connections"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
